class com.amduus.mail.FileEncoder:

  define public variable MIMEType as character no-undo.
  define public variable FileEncodedData as longchar no-undo.
  define public variable WorkingFileName as character no-undo.
  
  
  define private variable FileTools as com.amduus.filesystem.FileTools no-undo.

  /**************************************************************************/
  /* The DetermineMimeType tool needs the FileTools object.                 */
  /**************************************************************************/
  
  constructor public FileEncoder():
  
    FileTools = new com.amduus.filesystem.FileTools().
    
  end. /* constructor */

  /**************************************************************************/
  /* The DetermineMimeType tool needs the FileTools object.                 */
  /**************************************************************************/
  
  destructor public FileEncoder():
  
    delete object FileTools.
    
  end. /* destructor */
  
  /**************************************************************************/
  /* Set up the object with data for the file.                              */
  /**************************************************************************/
  
  method public void EncodeFile(input FileOnDisk as character):
  
    define variable MemPtrToFileData as memptr no-undo.
    
    copy-lob file FileOnDisk to MemPtrToFileData. 
    FileEncodedData = base64-encode(MemPtrToFileData).
    WorkingFileName = FileOnDisk.
    
  end. /* EncodeFile */
  
  /**************************************************************************/
  /* Use the post fix of the file to try and determine the mime type.       */
  /**************************************************************************/
  
  method public character DetermineMimeType ():
  
    define variable PostFix as character no-undo.
    
    /* 10.1a doesn't like direct reference on case */
    
    PostFix = FileTools:PostFix(WorkingFileName).
    case PostFix:
    
      when "html" then return "text/html".
      when "jpg" then return "image/jpeg".
      when "gif" then return "image/gif".
      when "xml" then return "text/xml".
      
    end.
  
    return ?.
    
  end. /* DetermineMimeType */
  
end. /* class */
